
      subroutine estad(dat,media,sigma,n)
c     calcula la media y la desviacion tipica
c     de una serie de datos

      implicit none

      integer n,i
      double precision dat(n),media,sigma
c      real dat(n),media,sigma

      media=0.
      do i=1,n
       media=media+dat(i)
      enddo
      media=media/real(n)

      sigma=0.
      do i=1,n
       sigma=sigma+(dat(i)-media)**2
      enddo
      sigma=sigma/real(n)
      sigma=sqrt(sigma)
      return
   
      end subroutine
